package de.ivu.elect.business.wahl.entity;

import de.ivu.elect.jee.presentation.dynamicform.Property;

@javax.enterprise.inject.Vetoed
public class WahlartProperties
{

private final Wahlart entity;


    
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
                  maxAnzahlErsatzkandidaturenProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlartAnzahlErsatzkandidaturenArt>
                  maxAnzahlErsatzkandidaturenArtProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlartAnzahlErsatzkandidaturenArt> maxAnzahlErsatzkandidaturenArtMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
                  anzahlStimmenProWaehlerProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
                  anzahlStimmzettelProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.CommonWahlart>
                  commonWahlartProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.CommonWahlart> commonWahlartMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlartDokumentvorlagen>
                  dokumentvorlagenProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlartDokumentvorlagen> dokumentvorlagenMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeArt>
                  erfassungUebernahmeArtProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeArt> erfassungUebernahmeArtMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeManuell>
                  erfassungUebernahmeManuellProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeManuell> erfassungUebernahmeManuellMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.ErgebnisartUmschaltbar>
                  ergebnisartUmschaltbarProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.ErgebnisartUmschaltbar> ergebnisartUmschaltbarMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  farbeProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaBooleanProperty
                  gruppenreihenfolgeVorgegebenProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaBooleanProperty
                  gruppenvereinigungenErlaubtProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  kennzeichenProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  kurznameProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaBooleanProperty
                  leereListenErlaubtProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaBooleanProperty
                  listenverbindungenErlaubtProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
                  maxAnzahlNennungenProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  nameProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus>
                  sitzberechnungsalgorithmusProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus> sitzberechnungsalgorithmusMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlartStimmenProWaehlerArt>
                  anzahlStimmenProWaehlerArtProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlartStimmenProWaehlerArt> anzahlStimmenProWaehlerArtMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  systemGebietsebeneUnformatiertProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  titelProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte>
                  umgangAOhneWahlscheinEndgueltigProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte> umgangAOhneWahlscheinEndgueltigMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte>
                  umgangAOhneWahlscheinVorlaeufigProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte> umgangAOhneWahlscheinVorlaeufigMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte>
                  umgangAMitWahlscheinEndgueltigProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte> umgangAMitWahlscheinEndgueltigMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte>
                  umgangAMitWahlscheinVorlaeufigProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte> umgangAMitWahlscheinVorlaeufigMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte>
                  umgangANichtImWaehlerverzeichnisEndgueltigProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte> umgangANichtImWaehlerverzeichnisEndgueltigMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte>
                  umgangANichtImWaehlerverzeichnisVorlaeufigProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte> umgangANichtImWaehlerverzeichnisVorlaeufigMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte>
                  umgangAGesamtEndgueltigProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte> umgangAGesamtEndgueltigMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte>
                  umgangAGesamtVorlaeufigProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte> umgangAGesamtVorlaeufigMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte>
                  umgangBOhneWahlscheinEndgueltigProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte> umgangBOhneWahlscheinEndgueltigMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte>
                  umgangBOhneWahlscheinVorlaeufigProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte> umgangBOhneWahlscheinVorlaeufigMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte>
                  umgangBMitWahlscheinEndgueltigProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte> umgangBMitWahlscheinEndgueltigMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte>
                  umgangBMitWahlscheinVorlaeufigProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte> umgangBMitWahlscheinVorlaeufigMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte>
                  umgangBGesamtEndgueltigProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte> umgangBGesamtEndgueltigMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte>
                  umgangBGesamtVorlaeufigProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte> umgangBGesamtVorlaeufigMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte>
                  umgangGueltigeEndgueltigProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte> umgangGueltigeEndgueltigMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte>
                  umgangGueltigeVorlaeufigProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte> umgangGueltigeVorlaeufigMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte>
                  umgangAPruefkennzeichenEndgueltigProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte> umgangAPruefkennzeichenEndgueltigMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte>
                  umgangAPruefkennzeichenVorlaeufigProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte> umgangAPruefkennzeichenVorlaeufigMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte>
                  umgangUngueltigeEndgueltigProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte> umgangUngueltigeEndgueltigMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte>
                  umgangUngueltigeVorlaeufigProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte> umgangUngueltigeVorlaeufigMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  wahlausschussbezeichnungProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlberechtigungImAusland>
                  wahlberechtigungImAuslandProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlberechtigungImAusland> wahlberechtigungImAuslandMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  wahlbezeichnungLangProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.Zulassungspruefung>
                  zulassungspruefungProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.Zulassungspruefung> zulassungspruefungMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  zuWaehlendesGremiumProperty;

        
    

public WahlartProperties(Wahlart entity) {
this.entity = entity;

}

private static WahlartMeta getMetaData() {
return de.ivu.elect.jee.cdi.BeanManagerUtil.getBeanByClass( WahlartMeta.class);
}


    

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractLongProperty
                getMaxAnzahlErsatzkandidaturenProperty() {
        if (maxAnzahlErsatzkandidaturenProperty == null) {
        maxAnzahlErsatzkandidaturenProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
        
        (
        getMetaData().getMaxAnzahlErsatzkandidaturenEinzahlMessage(),
        getMetaData().getMaxAnzahlErsatzkandidaturenDefaultValue(),
        getMetaData().isMaxAnzahlErsatzkandidaturenRequired(),
                entity::setMaxAnzahlErsatzkandidaturen,
        entity::getMaxAnzahlErsatzkandidaturen

                    ,de.ivu.elect.business.wahl.entity.WahlartConstants.ANZAHL_ERSATZKANDIDATEN_MIN_VALUE
            ,de.ivu.elect.business.wahl.entity.WahlartConstants.ANZAHL_ERSATZKANDIDATEN_MAX_VALUE
                           );

        }


        return maxAnzahlErsatzkandidaturenProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlartAnzahlErsatzkandidaturenArt>
                getMaxAnzahlErsatzkandidaturenArtProperty() {
        if (maxAnzahlErsatzkandidaturenArtProperty == null) {
        maxAnzahlErsatzkandidaturenArtProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getMaxAnzahlErsatzkandidaturenArtEinzahlMessage(),
        getMetaData().getMaxAnzahlErsatzkandidaturenArtDefaultValue(),
        getMetaData().isMaxAnzahlErsatzkandidaturenArtRequired(),
                entity::setMaxAnzahlErsatzkandidaturenArt,
        entity::getMaxAnzahlErsatzkandidaturenArt

                    , de.ivu.elect.business.wahl.entity.WahlartAnzahlErsatzkandidaturenArt.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.WahlartAnzahlErsatzkandidaturenArt.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return maxAnzahlErsatzkandidaturenArtProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlartAnzahlErsatzkandidaturenArt> getMaxAnzahlErsatzkandidaturenArtMitLeererAuswahlProperty() {
               if (maxAnzahlErsatzkandidaturenArtMitLeererAuswahlProperty == null) {
                 maxAnzahlErsatzkandidaturenArtMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getMaxAnzahlErsatzkandidaturenArtEinzahlMessage(),
        				getMetaData().getMaxAnzahlErsatzkandidaturenArtDefaultValue(),
                        getMetaData().isMaxAnzahlErsatzkandidaturenArtRequired(),
                        entity::setMaxAnzahlErsatzkandidaturenArt,
                        entity::getMaxAnzahlErsatzkandidaturenArt
                        , de.ivu.elect.business.wahl.entity.WahlartAnzahlErsatzkandidaturenArt.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.WahlartAnzahlErsatzkandidaturenArt.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return maxAnzahlErsatzkandidaturenArtMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractLongProperty
                getAnzahlStimmenProWaehlerProperty() {
        if (anzahlStimmenProWaehlerProperty == null) {
        anzahlStimmenProWaehlerProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
        
        (
        getMetaData().getAnzahlStimmenProWaehlerEinzahlMessage(),
        getMetaData().getAnzahlStimmenProWaehlerDefaultValue(),
        getMetaData().isAnzahlStimmenProWaehlerRequired(),
                entity::setAnzahlStimmenProWaehler,
        entity::getAnzahlStimmenProWaehler

                    ,de.ivu.elect.business.wahl.entity.WahlartConstants.ANZAHL_STIMMEN_PRO_WAEHLER_MIN_VALUE
            ,de.ivu.elect.business.wahl.entity.WahlartConstants.ANZAHL_STIMMEN_PRO_WAEHLER_MAX_VALUE
                           );

        }


        return anzahlStimmenProWaehlerProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractLongProperty
                getAnzahlStimmzettelProperty() {
        if (anzahlStimmzettelProperty == null) {
        anzahlStimmzettelProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
        
        (
        getMetaData().getAnzahlStimmzettelEinzahlMessage(),
        getMetaData().getAnzahlStimmzettelDefaultValue(),
        getMetaData().isAnzahlStimmzettelRequired(),
                entity::setAnzahlStimmzettel,
        entity::getAnzahlStimmzettel

                    ,de.ivu.elect.business.wahl.entity.WahlartConstants.ANZAHL_STIMMZETTEL_MIN_VALUE
            ,de.ivu.elect.business.wahl.entity.WahlartConstants.ANZAHL_STIMMZETTEL_MAX_VALUE
                           );

        }


        return anzahlStimmzettelProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.CommonWahlart>
                getCommonWahlartProperty() {
        if (commonWahlartProperty == null) {
        commonWahlartProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getCommonWahlartEinzahlMessage(),
        getMetaData().getCommonWahlartDefaultValue(),
        getMetaData().isCommonWahlartRequired(),
                entity::setCommonWahlart,
        entity::getCommonWahlart

                    , de.ivu.elect.business.wahl.entity.CommonWahlart.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.CommonWahlart.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return commonWahlartProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.CommonWahlart> getCommonWahlartMitLeererAuswahlProperty() {
               if (commonWahlartMitLeererAuswahlProperty == null) {
                 commonWahlartMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getCommonWahlartEinzahlMessage(),
        				getMetaData().getCommonWahlartDefaultValue(),
                        getMetaData().isCommonWahlartRequired(),
                        entity::setCommonWahlart,
                        entity::getCommonWahlart
                        , de.ivu.elect.business.wahl.entity.CommonWahlart.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.CommonWahlart.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return commonWahlartMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlartDokumentvorlagen>
                getDokumentvorlagenProperty() {
        if (dokumentvorlagenProperty == null) {
        dokumentvorlagenProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getDokumentvorlagenEinzahlMessage(),
        getMetaData().getDokumentvorlagenDefaultValue(),
        getMetaData().isDokumentvorlagenRequired(),
                entity::setDokumentvorlagen,
        entity::getDokumentvorlagen

                    , de.ivu.elect.business.wahl.entity.WahlartDokumentvorlagen.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.WahlartDokumentvorlagen.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return dokumentvorlagenProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlartDokumentvorlagen> getDokumentvorlagenMitLeererAuswahlProperty() {
               if (dokumentvorlagenMitLeererAuswahlProperty == null) {
                 dokumentvorlagenMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getDokumentvorlagenEinzahlMessage(),
        				getMetaData().getDokumentvorlagenDefaultValue(),
                        getMetaData().isDokumentvorlagenRequired(),
                        entity::setDokumentvorlagen,
                        entity::getDokumentvorlagen
                        , de.ivu.elect.business.wahl.entity.WahlartDokumentvorlagen.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.WahlartDokumentvorlagen.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return dokumentvorlagenMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeArt>
                getErfassungUebernahmeArtProperty() {
        if (erfassungUebernahmeArtProperty == null) {
        erfassungUebernahmeArtProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getErfassungUebernahmeArtEinzahlMessage(),
        getMetaData().getErfassungUebernahmeArtDefaultValue(),
        getMetaData().isErfassungUebernahmeArtRequired(),
                entity::setErfassungUebernahmeArt,
        entity::getErfassungUebernahmeArt

                    , de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeArt.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeArt.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return erfassungUebernahmeArtProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeArt> getErfassungUebernahmeArtMitLeererAuswahlProperty() {
               if (erfassungUebernahmeArtMitLeererAuswahlProperty == null) {
                 erfassungUebernahmeArtMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getErfassungUebernahmeArtEinzahlMessage(),
        				getMetaData().getErfassungUebernahmeArtDefaultValue(),
                        getMetaData().isErfassungUebernahmeArtRequired(),
                        entity::setErfassungUebernahmeArt,
                        entity::getErfassungUebernahmeArt
                        , de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeArt.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeArt.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return erfassungUebernahmeArtMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeManuell>
                getErfassungUebernahmeManuellProperty() {
        if (erfassungUebernahmeManuellProperty == null) {
        erfassungUebernahmeManuellProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getErfassungUebernahmeManuellEinzahlMessage(),
        getMetaData().getErfassungUebernahmeManuellDefaultValue(),
        getMetaData().isErfassungUebernahmeManuellRequired(),
                entity::setErfassungUebernahmeManuell,
        entity::getErfassungUebernahmeManuell

                    , de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeManuell.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeManuell.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return erfassungUebernahmeManuellProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeManuell> getErfassungUebernahmeManuellMitLeererAuswahlProperty() {
               if (erfassungUebernahmeManuellMitLeererAuswahlProperty == null) {
                 erfassungUebernahmeManuellMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getErfassungUebernahmeManuellEinzahlMessage(),
        				getMetaData().getErfassungUebernahmeManuellDefaultValue(),
                        getMetaData().isErfassungUebernahmeManuellRequired(),
                        entity::setErfassungUebernahmeManuell,
                        entity::getErfassungUebernahmeManuell
                        , de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeManuell.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeManuell.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return erfassungUebernahmeManuellMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.ErgebnisartUmschaltbar>
                getErgebnisartUmschaltbarProperty() {
        if (ergebnisartUmschaltbarProperty == null) {
        ergebnisartUmschaltbarProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getErgebnisartUmschaltbarEinzahlMessage(),
        getMetaData().getErgebnisartUmschaltbarDefaultValue(),
        getMetaData().isErgebnisartUmschaltbarRequired(),
                entity::setErgebnisartUmschaltbar,
        entity::getErgebnisartUmschaltbar

                    , de.ivu.elect.business.wahl.entity.ErgebnisartUmschaltbar.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.ErgebnisartUmschaltbar.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return ergebnisartUmschaltbarProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.ErgebnisartUmschaltbar> getErgebnisartUmschaltbarMitLeererAuswahlProperty() {
               if (ergebnisartUmschaltbarMitLeererAuswahlProperty == null) {
                 ergebnisartUmschaltbarMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getErgebnisartUmschaltbarEinzahlMessage(),
        				getMetaData().getErgebnisartUmschaltbarDefaultValue(),
                        getMetaData().isErgebnisartUmschaltbarRequired(),
                        entity::setErgebnisartUmschaltbar,
                        entity::getErgebnisartUmschaltbar
                        , de.ivu.elect.business.wahl.entity.ErgebnisartUmschaltbar.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.ErgebnisartUmschaltbar.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return ergebnisartUmschaltbarMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getFarbeProperty() {
        if (farbeProperty == null) {
        farbeProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getFarbeEinzahlMessage(),
        getMetaData().getFarbeDefaultValue(),
        getMetaData().isFarbeRequired(),
                entity::setFarbe,
        entity::getFarbe

                    ,  1 ,
            de.ivu.elect.business.wahl.entity.WahlartConstants.FARBE_MAX_LENGTH
                );

        }


        return farbeProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractBooleanProperty
                getGruppenreihenfolgeVorgegebenProperty() {
        if (gruppenreihenfolgeVorgegebenProperty == null) {
        gruppenreihenfolgeVorgegebenProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaBooleanProperty
        
        (
        getMetaData().getGruppenreihenfolgeVorgegebenEinzahlMessage(),
        getMetaData().getGruppenreihenfolgeVorgegebenDefaultValue(),
        getMetaData().isGruppenreihenfolgeVorgegebenRequired(),
                entity::setGruppenreihenfolgeVorgegeben,
        entity::getGruppenreihenfolgeVorgegeben

                );

        }


        return gruppenreihenfolgeVorgegebenProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractBooleanProperty
                getGruppenvereinigungenErlaubtProperty() {
        if (gruppenvereinigungenErlaubtProperty == null) {
        gruppenvereinigungenErlaubtProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaBooleanProperty
        
        (
        getMetaData().getGruppenvereinigungenErlaubtEinzahlMessage(),
        getMetaData().getGruppenvereinigungenErlaubtDefaultValue(),
        getMetaData().isGruppenvereinigungenErlaubtRequired(),
                entity::setGruppenvereinigungenErlaubt,
        entity::getGruppenvereinigungenErlaubt

                );

        }


        return gruppenvereinigungenErlaubtProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getKennzeichenProperty() {
        if (kennzeichenProperty == null) {
        kennzeichenProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getKennzeichenEinzahlMessage(),
        getMetaData().getKennzeichenDefaultValue(),
        getMetaData().isKennzeichenRequired(),
                entity::setKennzeichen,
        entity::getKennzeichen

                    , 0 ,
            de.ivu.elect.business.wahl.entity.WahlartConstants.KENNZEICHEN_MAX_LENGTH
                );

        }


        return kennzeichenProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getKurznameProperty() {
        if (kurznameProperty == null) {
        kurznameProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getKurznameEinzahlMessage(),
        getMetaData().getKurznameDefaultValue(),
        getMetaData().isKurznameRequired(),
                entity::setKurzname,
        entity::getKurzname

                    , 0 ,
            de.ivu.elect.business.wahl.entity.WahlartConstants.KURZNAME_MAX_LENGTH
                );

        }


        return kurznameProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractBooleanProperty
                getLeereListenErlaubtProperty() {
        if (leereListenErlaubtProperty == null) {
        leereListenErlaubtProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaBooleanProperty
        
        (
        getMetaData().getLeereListenErlaubtEinzahlMessage(),
        getMetaData().getLeereListenErlaubtDefaultValue(),
        getMetaData().isLeereListenErlaubtRequired(),
                entity::setLeereListenErlaubt,
        entity::getLeereListenErlaubt

                );

        }


        return leereListenErlaubtProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractBooleanProperty
                getListenverbindungenErlaubtProperty() {
        if (listenverbindungenErlaubtProperty == null) {
        listenverbindungenErlaubtProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaBooleanProperty
        
        (
        getMetaData().getListenverbindungenErlaubtEinzahlMessage(),
        getMetaData().getListenverbindungenErlaubtDefaultValue(),
        getMetaData().isListenverbindungenErlaubtRequired(),
                entity::setListenverbindungenErlaubt,
        entity::getListenverbindungenErlaubt

                );

        }


        return listenverbindungenErlaubtProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractLongProperty
                getMaxAnzahlNennungenProperty() {
        if (maxAnzahlNennungenProperty == null) {
        maxAnzahlNennungenProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
        
        (
        getMetaData().getMaxAnzahlNennungenEinzahlMessage(),
        getMetaData().getMaxAnzahlNennungenDefaultValue(),
        getMetaData().isMaxAnzahlNennungenRequired(),
                entity::setMaxAnzahlNennungen,
        entity::getMaxAnzahlNennungen

                    ,de.ivu.elect.business.wahl.entity.WahlartConstants.MAX_ANZAHL_NENNUNGEN_MIN_VALUE
            ,de.ivu.elect.business.wahl.entity.WahlartConstants.MAX_ANZAHL_NENNUNGEN_MAX_VALUE
                           );

        }


        return maxAnzahlNennungenProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getNameProperty() {
        if (nameProperty == null) {
        nameProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getNameEinzahlMessage(),
        getMetaData().getNameDefaultValue(),
        getMetaData().isNameRequired(),
                entity::setName,
        entity::getName

                    ,  1 ,
            de.ivu.elect.business.wahl.entity.WahlartConstants.NAME_MAX_LENGTH
                );

        }


        return nameProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus>
                getSitzberechnungsalgorithmusProperty() {
        if (sitzberechnungsalgorithmusProperty == null) {
        sitzberechnungsalgorithmusProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getSitzberechnungsalgorithmusEinzahlMessage(),
        getMetaData().getSitzberechnungsalgorithmusDefaultValue(),
        getMetaData().isSitzberechnungsalgorithmusRequired(),
                entity::setSitzberechnungsalgorithmus,
        entity::getSitzberechnungsalgorithmus

                    , de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return sitzberechnungsalgorithmusProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus> getSitzberechnungsalgorithmusMitLeererAuswahlProperty() {
               if (sitzberechnungsalgorithmusMitLeererAuswahlProperty == null) {
                 sitzberechnungsalgorithmusMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getSitzberechnungsalgorithmusEinzahlMessage(),
        				getMetaData().getSitzberechnungsalgorithmusDefaultValue(),
                        getMetaData().isSitzberechnungsalgorithmusRequired(),
                        entity::setSitzberechnungsalgorithmus,
                        entity::getSitzberechnungsalgorithmus
                        , de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return sitzberechnungsalgorithmusMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlartStimmenProWaehlerArt>
                getAnzahlStimmenProWaehlerArtProperty() {
        if (anzahlStimmenProWaehlerArtProperty == null) {
        anzahlStimmenProWaehlerArtProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getAnzahlStimmenProWaehlerArtEinzahlMessage(),
        getMetaData().getAnzahlStimmenProWaehlerArtDefaultValue(),
        getMetaData().isAnzahlStimmenProWaehlerArtRequired(),
                entity::setAnzahlStimmenProWaehlerArt,
        entity::getAnzahlStimmenProWaehlerArt

                    , de.ivu.elect.business.wahl.entity.WahlartStimmenProWaehlerArt.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.WahlartStimmenProWaehlerArt.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return anzahlStimmenProWaehlerArtProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlartStimmenProWaehlerArt> getAnzahlStimmenProWaehlerArtMitLeererAuswahlProperty() {
               if (anzahlStimmenProWaehlerArtMitLeererAuswahlProperty == null) {
                 anzahlStimmenProWaehlerArtMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getAnzahlStimmenProWaehlerArtEinzahlMessage(),
        				getMetaData().getAnzahlStimmenProWaehlerArtDefaultValue(),
                        getMetaData().isAnzahlStimmenProWaehlerArtRequired(),
                        entity::setAnzahlStimmenProWaehlerArt,
                        entity::getAnzahlStimmenProWaehlerArt
                        , de.ivu.elect.business.wahl.entity.WahlartStimmenProWaehlerArt.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.WahlartStimmenProWaehlerArt.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return anzahlStimmenProWaehlerArtMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getSystemGebietsebeneUnformatiertProperty() {
        if (systemGebietsebeneUnformatiertProperty == null) {
        systemGebietsebeneUnformatiertProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getSystemGebietsebeneUnformatiertEinzahlMessage(),
        getMetaData().getSystemGebietsebeneUnformatiertDefaultValue(),
        getMetaData().isSystemGebietsebeneUnformatiertRequired(),
                entity::setSystemGebietsebeneUnformatiert,
        entity::getSystemGebietsebeneUnformatiert

                    ,  1 ,
            de.ivu.elect.business.wahl.entity.WahlartConstants.SYSTEM_GEBIETSEBENE_MAX_LENGTH
                );

        }


        return systemGebietsebeneUnformatiertProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getTitelProperty() {
        if (titelProperty == null) {
        titelProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getTitelEinzahlMessage(),
        getMetaData().getTitelDefaultValue(),
        getMetaData().isTitelRequired(),
                entity::setTitel,
        entity::getTitel

                    , 0 ,
            de.ivu.elect.business.wahl.entity.WahlartConstants.TITEL_MAX_LENGTH
                );

        }


        return titelProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte>
                getUmgangAOhneWahlscheinEndgueltigProperty() {
        if (umgangAOhneWahlscheinEndgueltigProperty == null) {
        umgangAOhneWahlscheinEndgueltigProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getUmgangAOhneWahlscheinEndgueltigEinzahlMessage(),
        getMetaData().getUmgangAOhneWahlscheinEndgueltigDefaultValue(),
        getMetaData().isUmgangAOhneWahlscheinEndgueltigRequired(),
                entity::setUmgangAOhneWahlscheinEndgueltig,
        entity::getUmgangAOhneWahlscheinEndgueltig

                    , de.ivu.elect.business.wahl.entity.UmgangAWerte.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangAWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return umgangAOhneWahlscheinEndgueltigProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte> getUmgangAOhneWahlscheinEndgueltigMitLeererAuswahlProperty() {
               if (umgangAOhneWahlscheinEndgueltigMitLeererAuswahlProperty == null) {
                 umgangAOhneWahlscheinEndgueltigMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getUmgangAOhneWahlscheinEndgueltigEinzahlMessage(),
        				getMetaData().getUmgangAOhneWahlscheinEndgueltigDefaultValue(),
                        getMetaData().isUmgangAOhneWahlscheinEndgueltigRequired(),
                        entity::setUmgangAOhneWahlscheinEndgueltig,
                        entity::getUmgangAOhneWahlscheinEndgueltig
                        , de.ivu.elect.business.wahl.entity.UmgangAWerte.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangAWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return umgangAOhneWahlscheinEndgueltigMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte>
                getUmgangAOhneWahlscheinVorlaeufigProperty() {
        if (umgangAOhneWahlscheinVorlaeufigProperty == null) {
        umgangAOhneWahlscheinVorlaeufigProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getUmgangAOhneWahlscheinVorlaeufigEinzahlMessage(),
        getMetaData().getUmgangAOhneWahlscheinVorlaeufigDefaultValue(),
        getMetaData().isUmgangAOhneWahlscheinVorlaeufigRequired(),
                entity::setUmgangAOhneWahlscheinVorlaeufig,
        entity::getUmgangAOhneWahlscheinVorlaeufig

                    , de.ivu.elect.business.wahl.entity.UmgangAWerte.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangAWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return umgangAOhneWahlscheinVorlaeufigProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte> getUmgangAOhneWahlscheinVorlaeufigMitLeererAuswahlProperty() {
               if (umgangAOhneWahlscheinVorlaeufigMitLeererAuswahlProperty == null) {
                 umgangAOhneWahlscheinVorlaeufigMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getUmgangAOhneWahlscheinVorlaeufigEinzahlMessage(),
        				getMetaData().getUmgangAOhneWahlscheinVorlaeufigDefaultValue(),
                        getMetaData().isUmgangAOhneWahlscheinVorlaeufigRequired(),
                        entity::setUmgangAOhneWahlscheinVorlaeufig,
                        entity::getUmgangAOhneWahlscheinVorlaeufig
                        , de.ivu.elect.business.wahl.entity.UmgangAWerte.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangAWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return umgangAOhneWahlscheinVorlaeufigMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte>
                getUmgangAMitWahlscheinEndgueltigProperty() {
        if (umgangAMitWahlscheinEndgueltigProperty == null) {
        umgangAMitWahlscheinEndgueltigProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getUmgangAMitWahlscheinEndgueltigEinzahlMessage(),
        getMetaData().getUmgangAMitWahlscheinEndgueltigDefaultValue(),
        getMetaData().isUmgangAMitWahlscheinEndgueltigRequired(),
                entity::setUmgangAMitWahlscheinEndgueltig,
        entity::getUmgangAMitWahlscheinEndgueltig

                    , de.ivu.elect.business.wahl.entity.UmgangAWerte.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangAWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return umgangAMitWahlscheinEndgueltigProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte> getUmgangAMitWahlscheinEndgueltigMitLeererAuswahlProperty() {
               if (umgangAMitWahlscheinEndgueltigMitLeererAuswahlProperty == null) {
                 umgangAMitWahlscheinEndgueltigMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getUmgangAMitWahlscheinEndgueltigEinzahlMessage(),
        				getMetaData().getUmgangAMitWahlscheinEndgueltigDefaultValue(),
                        getMetaData().isUmgangAMitWahlscheinEndgueltigRequired(),
                        entity::setUmgangAMitWahlscheinEndgueltig,
                        entity::getUmgangAMitWahlscheinEndgueltig
                        , de.ivu.elect.business.wahl.entity.UmgangAWerte.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangAWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return umgangAMitWahlscheinEndgueltigMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte>
                getUmgangAMitWahlscheinVorlaeufigProperty() {
        if (umgangAMitWahlscheinVorlaeufigProperty == null) {
        umgangAMitWahlscheinVorlaeufigProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getUmgangAMitWahlscheinVorlaeufigEinzahlMessage(),
        getMetaData().getUmgangAMitWahlscheinVorlaeufigDefaultValue(),
        getMetaData().isUmgangAMitWahlscheinVorlaeufigRequired(),
                entity::setUmgangAMitWahlscheinVorlaeufig,
        entity::getUmgangAMitWahlscheinVorlaeufig

                    , de.ivu.elect.business.wahl.entity.UmgangAWerte.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangAWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return umgangAMitWahlscheinVorlaeufigProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte> getUmgangAMitWahlscheinVorlaeufigMitLeererAuswahlProperty() {
               if (umgangAMitWahlscheinVorlaeufigMitLeererAuswahlProperty == null) {
                 umgangAMitWahlscheinVorlaeufigMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getUmgangAMitWahlscheinVorlaeufigEinzahlMessage(),
        				getMetaData().getUmgangAMitWahlscheinVorlaeufigDefaultValue(),
                        getMetaData().isUmgangAMitWahlscheinVorlaeufigRequired(),
                        entity::setUmgangAMitWahlscheinVorlaeufig,
                        entity::getUmgangAMitWahlscheinVorlaeufig
                        , de.ivu.elect.business.wahl.entity.UmgangAWerte.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangAWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return umgangAMitWahlscheinVorlaeufigMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte>
                getUmgangANichtImWaehlerverzeichnisEndgueltigProperty() {
        if (umgangANichtImWaehlerverzeichnisEndgueltigProperty == null) {
        umgangANichtImWaehlerverzeichnisEndgueltigProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getUmgangANichtImWaehlerverzeichnisEndgueltigEinzahlMessage(),
        getMetaData().getUmgangANichtImWaehlerverzeichnisEndgueltigDefaultValue(),
        getMetaData().isUmgangANichtImWaehlerverzeichnisEndgueltigRequired(),
                entity::setUmgangANichtImWaehlerverzeichnisEndgueltig,
        entity::getUmgangANichtImWaehlerverzeichnisEndgueltig

                    , de.ivu.elect.business.wahl.entity.UmgangAWerte.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangAWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return umgangANichtImWaehlerverzeichnisEndgueltigProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte> getUmgangANichtImWaehlerverzeichnisEndgueltigMitLeererAuswahlProperty() {
               if (umgangANichtImWaehlerverzeichnisEndgueltigMitLeererAuswahlProperty == null) {
                 umgangANichtImWaehlerverzeichnisEndgueltigMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getUmgangANichtImWaehlerverzeichnisEndgueltigEinzahlMessage(),
        				getMetaData().getUmgangANichtImWaehlerverzeichnisEndgueltigDefaultValue(),
                        getMetaData().isUmgangANichtImWaehlerverzeichnisEndgueltigRequired(),
                        entity::setUmgangANichtImWaehlerverzeichnisEndgueltig,
                        entity::getUmgangANichtImWaehlerverzeichnisEndgueltig
                        , de.ivu.elect.business.wahl.entity.UmgangAWerte.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangAWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return umgangANichtImWaehlerverzeichnisEndgueltigMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte>
                getUmgangANichtImWaehlerverzeichnisVorlaeufigProperty() {
        if (umgangANichtImWaehlerverzeichnisVorlaeufigProperty == null) {
        umgangANichtImWaehlerverzeichnisVorlaeufigProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getUmgangANichtImWaehlerverzeichnisVorlaeufigEinzahlMessage(),
        getMetaData().getUmgangANichtImWaehlerverzeichnisVorlaeufigDefaultValue(),
        getMetaData().isUmgangANichtImWaehlerverzeichnisVorlaeufigRequired(),
                entity::setUmgangANichtImWaehlerverzeichnisVorlaeufig,
        entity::getUmgangANichtImWaehlerverzeichnisVorlaeufig

                    , de.ivu.elect.business.wahl.entity.UmgangAWerte.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangAWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return umgangANichtImWaehlerverzeichnisVorlaeufigProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte> getUmgangANichtImWaehlerverzeichnisVorlaeufigMitLeererAuswahlProperty() {
               if (umgangANichtImWaehlerverzeichnisVorlaeufigMitLeererAuswahlProperty == null) {
                 umgangANichtImWaehlerverzeichnisVorlaeufigMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getUmgangANichtImWaehlerverzeichnisVorlaeufigEinzahlMessage(),
        				getMetaData().getUmgangANichtImWaehlerverzeichnisVorlaeufigDefaultValue(),
                        getMetaData().isUmgangANichtImWaehlerverzeichnisVorlaeufigRequired(),
                        entity::setUmgangANichtImWaehlerverzeichnisVorlaeufig,
                        entity::getUmgangANichtImWaehlerverzeichnisVorlaeufig
                        , de.ivu.elect.business.wahl.entity.UmgangAWerte.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangAWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return umgangANichtImWaehlerverzeichnisVorlaeufigMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte>
                getUmgangAGesamtEndgueltigProperty() {
        if (umgangAGesamtEndgueltigProperty == null) {
        umgangAGesamtEndgueltigProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getUmgangAGesamtEndgueltigEinzahlMessage(),
        getMetaData().getUmgangAGesamtEndgueltigDefaultValue(),
        getMetaData().isUmgangAGesamtEndgueltigRequired(),
                entity::setUmgangAGesamtEndgueltig,
        entity::getUmgangAGesamtEndgueltig

                    , de.ivu.elect.business.wahl.entity.UmgangAWerte.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangAWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return umgangAGesamtEndgueltigProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte> getUmgangAGesamtEndgueltigMitLeererAuswahlProperty() {
               if (umgangAGesamtEndgueltigMitLeererAuswahlProperty == null) {
                 umgangAGesamtEndgueltigMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getUmgangAGesamtEndgueltigEinzahlMessage(),
        				getMetaData().getUmgangAGesamtEndgueltigDefaultValue(),
                        getMetaData().isUmgangAGesamtEndgueltigRequired(),
                        entity::setUmgangAGesamtEndgueltig,
                        entity::getUmgangAGesamtEndgueltig
                        , de.ivu.elect.business.wahl.entity.UmgangAWerte.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangAWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return umgangAGesamtEndgueltigMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte>
                getUmgangAGesamtVorlaeufigProperty() {
        if (umgangAGesamtVorlaeufigProperty == null) {
        umgangAGesamtVorlaeufigProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getUmgangAGesamtVorlaeufigEinzahlMessage(),
        getMetaData().getUmgangAGesamtVorlaeufigDefaultValue(),
        getMetaData().isUmgangAGesamtVorlaeufigRequired(),
                entity::setUmgangAGesamtVorlaeufig,
        entity::getUmgangAGesamtVorlaeufig

                    , de.ivu.elect.business.wahl.entity.UmgangAWerte.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangAWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return umgangAGesamtVorlaeufigProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte> getUmgangAGesamtVorlaeufigMitLeererAuswahlProperty() {
               if (umgangAGesamtVorlaeufigMitLeererAuswahlProperty == null) {
                 umgangAGesamtVorlaeufigMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getUmgangAGesamtVorlaeufigEinzahlMessage(),
        				getMetaData().getUmgangAGesamtVorlaeufigDefaultValue(),
                        getMetaData().isUmgangAGesamtVorlaeufigRequired(),
                        entity::setUmgangAGesamtVorlaeufig,
                        entity::getUmgangAGesamtVorlaeufig
                        , de.ivu.elect.business.wahl.entity.UmgangAWerte.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangAWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return umgangAGesamtVorlaeufigMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte>
                getUmgangBOhneWahlscheinEndgueltigProperty() {
        if (umgangBOhneWahlscheinEndgueltigProperty == null) {
        umgangBOhneWahlscheinEndgueltigProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getUmgangBOhneWahlscheinEndgueltigEinzahlMessage(),
        getMetaData().getUmgangBOhneWahlscheinEndgueltigDefaultValue(),
        getMetaData().isUmgangBOhneWahlscheinEndgueltigRequired(),
                entity::setUmgangBOhneWahlscheinEndgueltig,
        entity::getUmgangBOhneWahlscheinEndgueltig

                    , de.ivu.elect.business.wahl.entity.UmgangBWerte.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangBWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return umgangBOhneWahlscheinEndgueltigProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte> getUmgangBOhneWahlscheinEndgueltigMitLeererAuswahlProperty() {
               if (umgangBOhneWahlscheinEndgueltigMitLeererAuswahlProperty == null) {
                 umgangBOhneWahlscheinEndgueltigMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getUmgangBOhneWahlscheinEndgueltigEinzahlMessage(),
        				getMetaData().getUmgangBOhneWahlscheinEndgueltigDefaultValue(),
                        getMetaData().isUmgangBOhneWahlscheinEndgueltigRequired(),
                        entity::setUmgangBOhneWahlscheinEndgueltig,
                        entity::getUmgangBOhneWahlscheinEndgueltig
                        , de.ivu.elect.business.wahl.entity.UmgangBWerte.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangBWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return umgangBOhneWahlscheinEndgueltigMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte>
                getUmgangBOhneWahlscheinVorlaeufigProperty() {
        if (umgangBOhneWahlscheinVorlaeufigProperty == null) {
        umgangBOhneWahlscheinVorlaeufigProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getUmgangBOhneWahlscheinVorlaeufigEinzahlMessage(),
        getMetaData().getUmgangBOhneWahlscheinVorlaeufigDefaultValue(),
        getMetaData().isUmgangBOhneWahlscheinVorlaeufigRequired(),
                entity::setUmgangBOhneWahlscheinVorlaeufig,
        entity::getUmgangBOhneWahlscheinVorlaeufig

                    , de.ivu.elect.business.wahl.entity.UmgangBWerte.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangBWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return umgangBOhneWahlscheinVorlaeufigProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte> getUmgangBOhneWahlscheinVorlaeufigMitLeererAuswahlProperty() {
               if (umgangBOhneWahlscheinVorlaeufigMitLeererAuswahlProperty == null) {
                 umgangBOhneWahlscheinVorlaeufigMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getUmgangBOhneWahlscheinVorlaeufigEinzahlMessage(),
        				getMetaData().getUmgangBOhneWahlscheinVorlaeufigDefaultValue(),
                        getMetaData().isUmgangBOhneWahlscheinVorlaeufigRequired(),
                        entity::setUmgangBOhneWahlscheinVorlaeufig,
                        entity::getUmgangBOhneWahlscheinVorlaeufig
                        , de.ivu.elect.business.wahl.entity.UmgangBWerte.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangBWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return umgangBOhneWahlscheinVorlaeufigMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte>
                getUmgangBMitWahlscheinEndgueltigProperty() {
        if (umgangBMitWahlscheinEndgueltigProperty == null) {
        umgangBMitWahlscheinEndgueltigProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getUmgangBMitWahlscheinEndgueltigEinzahlMessage(),
        getMetaData().getUmgangBMitWahlscheinEndgueltigDefaultValue(),
        getMetaData().isUmgangBMitWahlscheinEndgueltigRequired(),
                entity::setUmgangBMitWahlscheinEndgueltig,
        entity::getUmgangBMitWahlscheinEndgueltig

                    , de.ivu.elect.business.wahl.entity.UmgangBWerte.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangBWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return umgangBMitWahlscheinEndgueltigProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte> getUmgangBMitWahlscheinEndgueltigMitLeererAuswahlProperty() {
               if (umgangBMitWahlscheinEndgueltigMitLeererAuswahlProperty == null) {
                 umgangBMitWahlscheinEndgueltigMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getUmgangBMitWahlscheinEndgueltigEinzahlMessage(),
        				getMetaData().getUmgangBMitWahlscheinEndgueltigDefaultValue(),
                        getMetaData().isUmgangBMitWahlscheinEndgueltigRequired(),
                        entity::setUmgangBMitWahlscheinEndgueltig,
                        entity::getUmgangBMitWahlscheinEndgueltig
                        , de.ivu.elect.business.wahl.entity.UmgangBWerte.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangBWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return umgangBMitWahlscheinEndgueltigMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte>
                getUmgangBMitWahlscheinVorlaeufigProperty() {
        if (umgangBMitWahlscheinVorlaeufigProperty == null) {
        umgangBMitWahlscheinVorlaeufigProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getUmgangBMitWahlscheinVorlaeufigEinzahlMessage(),
        getMetaData().getUmgangBMitWahlscheinVorlaeufigDefaultValue(),
        getMetaData().isUmgangBMitWahlscheinVorlaeufigRequired(),
                entity::setUmgangBMitWahlscheinVorlaeufig,
        entity::getUmgangBMitWahlscheinVorlaeufig

                    , de.ivu.elect.business.wahl.entity.UmgangBWerte.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangBWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return umgangBMitWahlscheinVorlaeufigProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte> getUmgangBMitWahlscheinVorlaeufigMitLeererAuswahlProperty() {
               if (umgangBMitWahlscheinVorlaeufigMitLeererAuswahlProperty == null) {
                 umgangBMitWahlscheinVorlaeufigMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getUmgangBMitWahlscheinVorlaeufigEinzahlMessage(),
        				getMetaData().getUmgangBMitWahlscheinVorlaeufigDefaultValue(),
                        getMetaData().isUmgangBMitWahlscheinVorlaeufigRequired(),
                        entity::setUmgangBMitWahlscheinVorlaeufig,
                        entity::getUmgangBMitWahlscheinVorlaeufig
                        , de.ivu.elect.business.wahl.entity.UmgangBWerte.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangBWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return umgangBMitWahlscheinVorlaeufigMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte>
                getUmgangBGesamtEndgueltigProperty() {
        if (umgangBGesamtEndgueltigProperty == null) {
        umgangBGesamtEndgueltigProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getUmgangBGesamtEndgueltigEinzahlMessage(),
        getMetaData().getUmgangBGesamtEndgueltigDefaultValue(),
        getMetaData().isUmgangBGesamtEndgueltigRequired(),
                entity::setUmgangBGesamtEndgueltig,
        entity::getUmgangBGesamtEndgueltig

                    , de.ivu.elect.business.wahl.entity.UmgangBWerte.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangBWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return umgangBGesamtEndgueltigProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte> getUmgangBGesamtEndgueltigMitLeererAuswahlProperty() {
               if (umgangBGesamtEndgueltigMitLeererAuswahlProperty == null) {
                 umgangBGesamtEndgueltigMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getUmgangBGesamtEndgueltigEinzahlMessage(),
        				getMetaData().getUmgangBGesamtEndgueltigDefaultValue(),
                        getMetaData().isUmgangBGesamtEndgueltigRequired(),
                        entity::setUmgangBGesamtEndgueltig,
                        entity::getUmgangBGesamtEndgueltig
                        , de.ivu.elect.business.wahl.entity.UmgangBWerte.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangBWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return umgangBGesamtEndgueltigMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte>
                getUmgangBGesamtVorlaeufigProperty() {
        if (umgangBGesamtVorlaeufigProperty == null) {
        umgangBGesamtVorlaeufigProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getUmgangBGesamtVorlaeufigEinzahlMessage(),
        getMetaData().getUmgangBGesamtVorlaeufigDefaultValue(),
        getMetaData().isUmgangBGesamtVorlaeufigRequired(),
                entity::setUmgangBGesamtVorlaeufig,
        entity::getUmgangBGesamtVorlaeufig

                    , de.ivu.elect.business.wahl.entity.UmgangBWerte.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangBWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return umgangBGesamtVorlaeufigProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangBWerte> getUmgangBGesamtVorlaeufigMitLeererAuswahlProperty() {
               if (umgangBGesamtVorlaeufigMitLeererAuswahlProperty == null) {
                 umgangBGesamtVorlaeufigMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getUmgangBGesamtVorlaeufigEinzahlMessage(),
        				getMetaData().getUmgangBGesamtVorlaeufigDefaultValue(),
                        getMetaData().isUmgangBGesamtVorlaeufigRequired(),
                        entity::setUmgangBGesamtVorlaeufig,
                        entity::getUmgangBGesamtVorlaeufig
                        , de.ivu.elect.business.wahl.entity.UmgangBWerte.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangBWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return umgangBGesamtVorlaeufigMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte>
                getUmgangGueltigeEndgueltigProperty() {
        if (umgangGueltigeEndgueltigProperty == null) {
        umgangGueltigeEndgueltigProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getUmgangGueltigeEndgueltigEinzahlMessage(),
        getMetaData().getUmgangGueltigeEndgueltigDefaultValue(),
        getMetaData().isUmgangGueltigeEndgueltigRequired(),
                entity::setUmgangGueltigeEndgueltig,
        entity::getUmgangGueltigeEndgueltig

                    , de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return umgangGueltigeEndgueltigProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte> getUmgangGueltigeEndgueltigMitLeererAuswahlProperty() {
               if (umgangGueltigeEndgueltigMitLeererAuswahlProperty == null) {
                 umgangGueltigeEndgueltigMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getUmgangGueltigeEndgueltigEinzahlMessage(),
        				getMetaData().getUmgangGueltigeEndgueltigDefaultValue(),
                        getMetaData().isUmgangGueltigeEndgueltigRequired(),
                        entity::setUmgangGueltigeEndgueltig,
                        entity::getUmgangGueltigeEndgueltig
                        , de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return umgangGueltigeEndgueltigMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte>
                getUmgangGueltigeVorlaeufigProperty() {
        if (umgangGueltigeVorlaeufigProperty == null) {
        umgangGueltigeVorlaeufigProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getUmgangGueltigeVorlaeufigEinzahlMessage(),
        getMetaData().getUmgangGueltigeVorlaeufigDefaultValue(),
        getMetaData().isUmgangGueltigeVorlaeufigRequired(),
                entity::setUmgangGueltigeVorlaeufig,
        entity::getUmgangGueltigeVorlaeufig

                    , de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return umgangGueltigeVorlaeufigProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte> getUmgangGueltigeVorlaeufigMitLeererAuswahlProperty() {
               if (umgangGueltigeVorlaeufigMitLeererAuswahlProperty == null) {
                 umgangGueltigeVorlaeufigMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getUmgangGueltigeVorlaeufigEinzahlMessage(),
        				getMetaData().getUmgangGueltigeVorlaeufigDefaultValue(),
                        getMetaData().isUmgangGueltigeVorlaeufigRequired(),
                        entity::setUmgangGueltigeVorlaeufig,
                        entity::getUmgangGueltigeVorlaeufig
                        , de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return umgangGueltigeVorlaeufigMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte>
                getUmgangAPruefkennzeichenEndgueltigProperty() {
        if (umgangAPruefkennzeichenEndgueltigProperty == null) {
        umgangAPruefkennzeichenEndgueltigProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getUmgangAPruefkennzeichenEndgueltigEinzahlMessage(),
        getMetaData().getUmgangAPruefkennzeichenEndgueltigDefaultValue(),
        getMetaData().isUmgangAPruefkennzeichenEndgueltigRequired(),
                entity::setUmgangAPruefkennzeichenEndgueltig,
        entity::getUmgangAPruefkennzeichenEndgueltig

                    , de.ivu.elect.business.wahl.entity.UmgangAWerte.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangAWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return umgangAPruefkennzeichenEndgueltigProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte> getUmgangAPruefkennzeichenEndgueltigMitLeererAuswahlProperty() {
               if (umgangAPruefkennzeichenEndgueltigMitLeererAuswahlProperty == null) {
                 umgangAPruefkennzeichenEndgueltigMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getUmgangAPruefkennzeichenEndgueltigEinzahlMessage(),
        				getMetaData().getUmgangAPruefkennzeichenEndgueltigDefaultValue(),
                        getMetaData().isUmgangAPruefkennzeichenEndgueltigRequired(),
                        entity::setUmgangAPruefkennzeichenEndgueltig,
                        entity::getUmgangAPruefkennzeichenEndgueltig
                        , de.ivu.elect.business.wahl.entity.UmgangAWerte.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangAWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return umgangAPruefkennzeichenEndgueltigMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte>
                getUmgangAPruefkennzeichenVorlaeufigProperty() {
        if (umgangAPruefkennzeichenVorlaeufigProperty == null) {
        umgangAPruefkennzeichenVorlaeufigProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getUmgangAPruefkennzeichenVorlaeufigEinzahlMessage(),
        getMetaData().getUmgangAPruefkennzeichenVorlaeufigDefaultValue(),
        getMetaData().isUmgangAPruefkennzeichenVorlaeufigRequired(),
                entity::setUmgangAPruefkennzeichenVorlaeufig,
        entity::getUmgangAPruefkennzeichenVorlaeufig

                    , de.ivu.elect.business.wahl.entity.UmgangAWerte.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangAWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return umgangAPruefkennzeichenVorlaeufigProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangAWerte> getUmgangAPruefkennzeichenVorlaeufigMitLeererAuswahlProperty() {
               if (umgangAPruefkennzeichenVorlaeufigMitLeererAuswahlProperty == null) {
                 umgangAPruefkennzeichenVorlaeufigMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getUmgangAPruefkennzeichenVorlaeufigEinzahlMessage(),
        				getMetaData().getUmgangAPruefkennzeichenVorlaeufigDefaultValue(),
                        getMetaData().isUmgangAPruefkennzeichenVorlaeufigRequired(),
                        entity::setUmgangAPruefkennzeichenVorlaeufig,
                        entity::getUmgangAPruefkennzeichenVorlaeufig
                        , de.ivu.elect.business.wahl.entity.UmgangAWerte.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangAWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return umgangAPruefkennzeichenVorlaeufigMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte>
                getUmgangUngueltigeEndgueltigProperty() {
        if (umgangUngueltigeEndgueltigProperty == null) {
        umgangUngueltigeEndgueltigProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getUmgangUngueltigeEndgueltigEinzahlMessage(),
        getMetaData().getUmgangUngueltigeEndgueltigDefaultValue(),
        getMetaData().isUmgangUngueltigeEndgueltigRequired(),
                entity::setUmgangUngueltigeEndgueltig,
        entity::getUmgangUngueltigeEndgueltig

                    , de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return umgangUngueltigeEndgueltigProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte> getUmgangUngueltigeEndgueltigMitLeererAuswahlProperty() {
               if (umgangUngueltigeEndgueltigMitLeererAuswahlProperty == null) {
                 umgangUngueltigeEndgueltigMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getUmgangUngueltigeEndgueltigEinzahlMessage(),
        				getMetaData().getUmgangUngueltigeEndgueltigDefaultValue(),
                        getMetaData().isUmgangUngueltigeEndgueltigRequired(),
                        entity::setUmgangUngueltigeEndgueltig,
                        entity::getUmgangUngueltigeEndgueltig
                        , de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return umgangUngueltigeEndgueltigMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte>
                getUmgangUngueltigeVorlaeufigProperty() {
        if (umgangUngueltigeVorlaeufigProperty == null) {
        umgangUngueltigeVorlaeufigProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getUmgangUngueltigeVorlaeufigEinzahlMessage(),
        getMetaData().getUmgangUngueltigeVorlaeufigDefaultValue(),
        getMetaData().isUmgangUngueltigeVorlaeufigRequired(),
                entity::setUmgangUngueltigeVorlaeufig,
        entity::getUmgangUngueltigeVorlaeufig

                    , de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return umgangUngueltigeVorlaeufigProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte> getUmgangUngueltigeVorlaeufigMitLeererAuswahlProperty() {
               if (umgangUngueltigeVorlaeufigMitLeererAuswahlProperty == null) {
                 umgangUngueltigeVorlaeufigMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getUmgangUngueltigeVorlaeufigEinzahlMessage(),
        				getMetaData().getUmgangUngueltigeVorlaeufigDefaultValue(),
                        getMetaData().isUmgangUngueltigeVorlaeufigRequired(),
                        entity::setUmgangUngueltigeVorlaeufig,
                        entity::getUmgangUngueltigeVorlaeufig
                        , de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return umgangUngueltigeVorlaeufigMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getWahlausschussbezeichnungProperty() {
        if (wahlausschussbezeichnungProperty == null) {
        wahlausschussbezeichnungProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getWahlausschussbezeichnungEinzahlMessage(),
        getMetaData().getWahlausschussbezeichnungDefaultValue(),
        getMetaData().isWahlausschussbezeichnungRequired(),
                entity::setWahlausschussbezeichnung,
        entity::getWahlausschussbezeichnung

                    , 0 ,
            de.ivu.elect.business.wahl.entity.WahlartConstants.WAHLAUSSCHUSSBEZEICHNUNG_MAX_LENGTH
                );

        }


        return wahlausschussbezeichnungProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlberechtigungImAusland>
                getWahlberechtigungImAuslandProperty() {
        if (wahlberechtigungImAuslandProperty == null) {
        wahlberechtigungImAuslandProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getWahlberechtigungImAuslandEinzahlMessage(),
        getMetaData().getWahlberechtigungImAuslandDefaultValue(),
        getMetaData().isWahlberechtigungImAuslandRequired(),
                entity::setWahlberechtigungImAusland,
        entity::getWahlberechtigungImAusland

                    , de.ivu.elect.business.wahl.entity.WahlberechtigungImAusland.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.WahlberechtigungImAusland.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return wahlberechtigungImAuslandProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlberechtigungImAusland> getWahlberechtigungImAuslandMitLeererAuswahlProperty() {
               if (wahlberechtigungImAuslandMitLeererAuswahlProperty == null) {
                 wahlberechtigungImAuslandMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getWahlberechtigungImAuslandEinzahlMessage(),
        				getMetaData().getWahlberechtigungImAuslandDefaultValue(),
                        getMetaData().isWahlberechtigungImAuslandRequired(),
                        entity::setWahlberechtigungImAusland,
                        entity::getWahlberechtigungImAusland
                        , de.ivu.elect.business.wahl.entity.WahlberechtigungImAusland.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.WahlberechtigungImAusland.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return wahlberechtigungImAuslandMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getWahlbezeichnungLangProperty() {
        if (wahlbezeichnungLangProperty == null) {
        wahlbezeichnungLangProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getWahlbezeichnungLangEinzahlMessage(),
        getMetaData().getWahlbezeichnungLangDefaultValue(),
        getMetaData().isWahlbezeichnungLangRequired(),
                entity::setWahlbezeichnungLang,
        entity::getWahlbezeichnungLang

                    , 0 ,
            de.ivu.elect.business.wahl.entity.WahlartConstants.WAHLBEZEICHNUNG_LANG_MAX_LENGTH
                );

        }


        return wahlbezeichnungLangProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.Zulassungspruefung>
                getZulassungspruefungProperty() {
        if (zulassungspruefungProperty == null) {
        zulassungspruefungProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getZulassungspruefungEinzahlMessage(),
        getMetaData().getZulassungspruefungDefaultValue(),
        getMetaData().isZulassungspruefungRequired(),
                entity::setZulassungspruefung,
        entity::getZulassungspruefung

                    , de.ivu.elect.business.wahl.entity.Zulassungspruefung.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.Zulassungspruefung.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return zulassungspruefungProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.Zulassungspruefung> getZulassungspruefungMitLeererAuswahlProperty() {
               if (zulassungspruefungMitLeererAuswahlProperty == null) {
                 zulassungspruefungMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getZulassungspruefungEinzahlMessage(),
        				getMetaData().getZulassungspruefungDefaultValue(),
                        getMetaData().isZulassungspruefungRequired(),
                        entity::setZulassungspruefung,
                        entity::getZulassungspruefung
                        , de.ivu.elect.business.wahl.entity.Zulassungspruefung.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.Zulassungspruefung.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return zulassungspruefungMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getZuWaehlendesGremiumProperty() {
        if (zuWaehlendesGremiumProperty == null) {
        zuWaehlendesGremiumProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getZuWaehlendesGremiumEinzahlMessage(),
        getMetaData().getZuWaehlendesGremiumDefaultValue(),
        getMetaData().isZuWaehlendesGremiumRequired(),
                entity::setZuWaehlendesGremium,
        entity::getZuWaehlendesGremium

                    , 0 ,
            de.ivu.elect.business.wahl.entity.WahlartConstants.ZU_WAEHLENDES_GREMIUM_MAX_LENGTH
                );

        }


        return zuWaehlendesGremiumProperty;
        }





        
        }